package intrinsic.flash.events;

public class NativeWindowDisplayStateEvent extends intrinsic.flash.events.Event {

	/** Accessors */
	public String beforeDisplayState;
	public String afterDisplayState;

	/** Variables */

	/** Constants */
	public static final String DISPLAY_STATE_CHANGING = "display_state_changing";
	public static final String DISPLAY_STATE_CHANGE = "display_state_change";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public NativeWindowDisplayStateEvent() {
}

public NativeWindowDisplayStateEvent(String arg0) {
}

public NativeWindowDisplayStateEvent(String arg0, boolean arg1) {
}

public NativeWindowDisplayStateEvent(String arg0, boolean arg1, boolean arg2) {
}

public NativeWindowDisplayStateEvent(String arg0, boolean arg1, boolean arg2, String arg3) {
}

public NativeWindowDisplayStateEvent(String arg0, boolean arg1, boolean arg2, String arg3, String arg4) {
}


/** Static Methods */

/** Methods */
public native Object clone();
public native String toString();

}
